
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#

Index: linux-2.6.26/drivers/char/defkeymap.map
===================================================================
--- linux-2.6.26.orig/drivers/char/defkeymap.map	2008-07-13 23:51:29.000000000 +0200
+++ linux-2.6.26/drivers/char/defkeymap.map	2008-07-24 22:09:38.663284352 +0200
@@ -1,264 +1,170 @@
-# Default kernel keymap. This uses 7 modifier combinations.
-keymaps 0-2,4-5,8,12
-# Change the above line into
-#	keymaps 0-2,4-6,8,12
-# in case you want the entries
-#	altgr   control keycode  83 = Boot            
-#	altgr   control keycode 111 = Boot            
-# below.
-#
-# In fact AltGr is used very little, and one more keymap can
-# be saved by mapping AltGr to Alt (and adapting a few entries):
-# keycode 100 = Alt
-#
-keycode   1 = Escape           Escape          
-	alt     keycode   1 = Meta_Escape     
-keycode   2 = one              exclam          
-	alt     keycode   2 = Meta_one        
-keycode   3 = two              at               at              
-	control	keycode   3 = nul             
-	shift	control	keycode   3 = nul             
-	alt	keycode   3 = Meta_two        
-keycode   4 = three            numbersign      
-	control keycode   4 = Escape          
-	alt     keycode   4 = Meta_three      
-keycode   5 = four             dollar           dollar          
-	control keycode   5 = Control_backslash
-	alt     keycode   5 = Meta_four       
-keycode   6 = five             percent         
-	control keycode   6 = Control_bracketright
-	alt     keycode   6 = Meta_five       
-keycode   7 = six              asciicircum     
-	control keycode   7 = Control_asciicircum
-	alt     keycode   7 = Meta_six        
-keycode   8 = seven            ampersand        braceleft       
-	control keycode   8 = Control_underscore
-	alt     keycode   8 = Meta_seven      
-keycode   9 = eight            asterisk         bracketleft     
-	control keycode   9 = Delete          
-	alt     keycode   9 = Meta_eight      
-keycode  10 = nine             parenleft        bracketright    
-	alt     keycode  10 = Meta_nine       
-keycode  11 = zero             parenright       braceright      
-	alt     keycode  11 = Meta_zero       
-keycode  12 = minus            underscore       backslash       
-	control	keycode  12 = Control_underscore
-	shift	control	keycode  12 = Control_underscore
-	alt	keycode  12 = Meta_minus      
-keycode  13 = equal            plus            
-	alt     keycode  13 = Meta_equal      
-keycode  14 = Delete           Delete          
-	control keycode  14 = BackSpace
-	alt     keycode  14 = Meta_Delete     
+# Note:
+# The way in which the modifiers are handled are quite different
+# than how they were handled in the 2.4.6-rmk1-np2-embedix kernel.
+# 
+# Here, we simply pass up Fn as Control, and the german accent key
+# as Altgr, and simply use a proper keymap.  Said keymap is as
+# follows.
+# keymaps 0-2,4-5,8,12,20
+keycode  14 = BackSpace
+	shift   keycode  14 = BackSpace
+	control keycode  14 = Delete
+	shiftl  control keycode  14 = bracketleft
+	control shiftr  keycode  14 = bracketleft
 keycode  15 = Tab              Tab             
-	alt     keycode  15 = Meta_Tab        
+	shift   keycode  15 = backslash
+	control keycode  15 = Caps_Lock
+	shiftl  control keycode  15 = Caps_Lock
+	control shiftr  keycode  15 = Caps_Lock
 keycode  16 = q               
+	control	keycode  16 = one             
+	shiftl	control	keycode  16 = Control_q       
+	control	shiftr	keycode  16 = Meta_q       
 keycode  17 = w               
-keycode  18 = e
-	altgr   keycode  18 = Hex_E   
+	control	keycode  17 = two       
+	shiftl	control	keycode  17 = Control_w       
+	control	shiftr	keycode  17 = Meta_w       
+keycode  18 = e               
+	control	keycode  18 = three       
+	shiftl	control	keycode  18 = Control_e       
+	control	shiftr	keycode  18 = Meta_e       
 keycode  19 = r               
+	control	keycode  19 = four       
+	shiftr	control	keycode  19 = Control_r       
+	control	shiftl	keycode  19 = Meta_r       
 keycode  20 = t               
+	control	keycode  20 = five       
+	shiftl	control	keycode  20 = Control_t       
+	control	shiftr	keycode  20 = Meta_t       
 keycode  21 = y               
+	control	keycode  21 = six       
+	shiftl	control	keycode  21 = Control_y       
+	control	shiftr	keycode  21 = Meta_y       
 keycode  22 = u               
+	control	keycode  22 = seven       
+	shiftl	control	keycode  22 = Control_u       
+	control	shiftr	keycode  22 = Meta_u       
 keycode  23 = i               
+	control	keycode  23 = eight             
+	shiftl	control	keycode  23 = Control_i             
+	control	shiftr	keycode  23 = Meta_i             
 keycode  24 = o               
+	control	keycode  24 = nine       
+	shiftl	control	keycode  24 = Control_o       
+	control	shiftr	keycode  24 = Meta_o       
 keycode  25 = p               
-keycode  26 = bracketleft      braceleft       
-	control keycode  26 = Escape          
-	alt     keycode  26 = Meta_bracketleft
-keycode  27 = bracketright     braceright       asciitilde      
-	control keycode  27 = Control_bracketright
-	alt     keycode  27 = Meta_bracketright
+	control	keycode  25 = zero       
+	shiftl	control	keycode  25 = Control_p       
+	control	shiftr	keycode  25 = Meta_p       
 keycode  28 = Return          
-	alt     keycode  28 = Meta_Control_m  
+	control keycode  28 = greater
+	shiftl  control keycode  28 = braceright
+	control shiftr  keycode  28 = braceright
 keycode  29 = Control         
-keycode  30 = a
-	altgr   keycode  30 = Hex_A
+keycode  30 = a               
+	control	keycode  30 = exclam       
+	shiftl	control	keycode  30 = Control_a       
+	control	shiftr	keycode  30 = Meta_a       
 keycode  31 = s               
-keycode  32 = d
-	altgr   keycode  32 = Hex_D   
-keycode  33 = f
-	altgr   keycode  33 = Hex_F               
+	control	keycode  31 = at       
+	shiftl	control	keycode  31 = Control_s       
+	control	shiftr	keycode  31 = Meta_s       
+keycode  32 = d               
+	control	keycode  32 = numbersign
+	shiftl	control	keycode  32 = Control_d       
+	control	shiftr	keycode  32 = Meta_d       
+keycode  33 = f               
+	control	keycode  33 = dollar       
+	shiftl	control	keycode  33 = Control_f       
+	control	shiftr	keycode  33 = Meta_f       
 keycode  34 = g               
+	control	keycode  34 = percent       
+	shiftl	control	keycode  34 = Control_g       
+	control	shiftr	keycode  34 = Meta_g       
 keycode  35 = h               
+	control	keycode  35 = underscore       
+	shiftl	control	keycode  35 = BackSpace       
+	control	shiftr	keycode  35 = BackSpace       
 keycode  36 = j               
+	control	keycode  36 = ampersand        
+	shiftl	control	keycode  36 = Linefeed        
+	control	shiftr	keycode  36 = Linefeed        
 keycode  37 = k               
+	control	keycode  37 = asterisk       
+	shiftl	control	keycode  37 = Control_k       
+	control	shiftr	keycode  37 = Meta_k       
 keycode  38 = l               
-keycode  39 = semicolon        colon           
-	alt     keycode  39 = Meta_semicolon  
-keycode  40 = apostrophe       quotedbl        
-	control keycode  40 = Control_g       
-	alt     keycode  40 = Meta_apostrophe 
-keycode  41 = grave            asciitilde      
-	control keycode  41 = nul             
-	alt     keycode  41 = Meta_grave      
+	control	keycode  38 = bracketleft       
+	shiftl  control keycode  51 = parenleft
+	control shiftr  keycode  51 = parenleft
+keycode  40 = apostrophe       quotedbl
+	control	keycode  40 = asciitilde       
+	shiftl	control	keycode  40 = asciicircum
+	control	shiftr	keycode  40 = asciicircum       
 keycode  42 = Shift           
-keycode  43 = backslash        bar             
-	control keycode  43 = Control_backslash
-	alt     keycode  43 = Meta_backslash  
 keycode  44 = z               
+	control	keycode  44 = Control_z       
+	shiftl	control	keycode  44 = Control_z       
+	control	shiftr	keycode  44 = Meta_z       
 keycode  45 = x               
-keycode  46 = c
-	altgr   keycode  46 = Hex_C   
+	control	keycode  45 = Control_x       
+	shiftl	control	keycode  45 = Control_x       
+	control	shiftr	keycode  45 = Meta_x       
+keycode  46 = c               
+	control	keycode  46 = Control_c       
+	shiftl	control	keycode  46 = Control_c       
+	control	shiftr	keycode  46 = Meta_c       
 keycode  47 = v               
-keycode  48 = b
-	altgr   keycode  48 = Hex_B
+	control	keycode  47 = Control_v       
+	shiftl	control	keycode  47 = Control_v       
+	control	shiftr	keycode  47 = Meta_v       
+## current location ##
+keycode  48 = b               
+	control	keycode  48 = minus       
+	shiftl	control	keycode  48 = Control_b       
+	control	shiftr	keycode  48 = Meta_b       
 keycode  49 = n               
+	control	keycode  49 = plus       
+	shiftl	control	keycode  49 = Control_n       
+	control	shiftr	keycode  49 = Meta_n       
 keycode  50 = m               
-keycode  51 = comma            less            
-	alt     keycode  51 = Meta_comma      
-keycode  52 = period           greater         
-	control keycode  52 = Compose         
-	alt     keycode  52 = Meta_period     
-keycode  53 = slash            question        
-	control keycode  53 = Delete          
-	alt     keycode  53 = Meta_slash      
-keycode  54 = Shift           
+	control	keycode  50 = equal       
+	shiftl	control	keycode  50 = Control_m       
+	control	shiftr	keycode  50 = Meta_m       
+keycode  51 = comma
+	shift   keycode  51 = semicolon
+	control keycode  51 = bracketright
+	shiftl  control keycode  51 = parenright
+	control shiftr  keycode  51 = parenright
+keycode  52 = period
+	shift   keycode  52 = colon
+	control keycode  52 = less
+	shiftl  control keycode  52 = braceleft
+	control shiftr  keycode  52 = braceleft
+keycode  53 = slash
+	shift   keycode  53 = question
+	control	keycode  53 = Num_Lock
+	shiftl  control keycode  53 = Num_Lock
+	control shiftr  keycode  53 = Num_Lock
+keycode  54 = AltGr
 keycode  55 = KP_Multiply     
 keycode  56 = Alt             
-keycode  57 = space            space           
-	control keycode  57 = nul             
-	alt     keycode  57 = Meta_space      
-keycode  58 = Caps_Lock       
-keycode  59 = F1               F11              Console_13      
-	control keycode  59 = F1              
-	alt     keycode  59 = Console_1       
-	control alt     keycode  59 = Console_1       
-keycode  60 = F2               F12              Console_14      
-	control keycode  60 = F2              
-	alt     keycode  60 = Console_2       
-	control alt     keycode  60 = Console_2       
-keycode  61 = F3               F13              Console_15      
-	control keycode  61 = F3              
-	alt     keycode  61 = Console_3       
-	control alt     keycode  61 = Console_3       
-keycode  62 = F4               F14              Console_16      
-	control keycode  62 = F4              
-	alt     keycode  62 = Console_4       
-	control alt     keycode  62 = Console_4       
-keycode  63 = F5               F15              Console_17      
-	control keycode  63 = F5              
-	alt     keycode  63 = Console_5       
-	control alt     keycode  63 = Console_5       
-keycode  64 = F6               F16              Console_18      
-	control keycode  64 = F6              
-	alt     keycode  64 = Console_6       
-	control alt     keycode  64 = Console_6       
-keycode  65 = F7               F17              Console_19      
-	control keycode  65 = F7              
-	alt     keycode  65 = Console_7       
-	control alt     keycode  65 = Console_7       
-keycode  66 = F8               F18              Console_20      
-	control keycode  66 = F8              
-	alt     keycode  66 = Console_8       
-	control alt     keycode  66 = Console_8       
-keycode  67 = F9               F19              Console_21      
-	control keycode  67 = F9              
-	alt     keycode  67 = Console_9       
-	control alt     keycode  67 = Console_9       
-keycode  68 = F10              F20              Console_22      
-	control keycode  68 = F10             
-	alt     keycode  68 = Console_10      
-	control alt     keycode  68 = Console_10      
-keycode  69 = Num_Lock
-	shift   keycode  69 = Bare_Num_Lock
-keycode  70 = Scroll_Lock      Show_Memory      Show_Registers  
-	control keycode  70 = Show_State      
-	alt     keycode  70 = Scroll_Lock     
-keycode  71 = KP_7            
-	alt     keycode  71 = Ascii_7         
-	altgr   keycode  71 = Hex_7         
-keycode  72 = KP_8            
-	alt     keycode  72 = Ascii_8         
-	altgr   keycode  72 = Hex_8         
-keycode  73 = KP_9            
-	alt     keycode  73 = Ascii_9         
-	altgr   keycode  73 = Hex_9         
-keycode  74 = KP_Subtract     
-keycode  75 = KP_4            
-	alt     keycode  75 = Ascii_4         
-	altgr   keycode  75 = Hex_4         
-keycode  76 = KP_5            
-	alt     keycode  76 = Ascii_5         
-	altgr   keycode  76 = Hex_5         
-keycode  77 = KP_6            
-	alt     keycode  77 = Ascii_6         
-	altgr   keycode  77 = Hex_6         
-keycode  78 = KP_Add          
-keycode  79 = KP_1            
-	alt     keycode  79 = Ascii_1         
-	altgr   keycode  79 = Hex_1         
-keycode  80 = KP_2            
-	alt     keycode  80 = Ascii_2         
-	altgr   keycode  80 = Hex_2         
-keycode  81 = KP_3            
-	alt     keycode  81 = Ascii_3         
-	altgr   keycode  81 = Hex_3         
-keycode  82 = KP_0            
-	alt     keycode  82 = Ascii_0         
-	altgr   keycode  82 = Hex_0         
-keycode  83 = KP_Period       
-#	altgr   control keycode  83 = Boot            
-	control alt     keycode  83 = Boot            
-keycode  84 = Last_Console    
-keycode  85 =
-keycode  86 = less             greater          bar             
-	alt     keycode  86 = Meta_less       
-keycode  87 = F11              F11              Console_23      
-	control keycode  87 = F11             
-	alt     keycode  87 = Console_11      
-	control alt     keycode  87 = Console_11      
-keycode  88 = F12              F12              Console_24      
-	control keycode  88 = F12             
-	alt     keycode  88 = Console_12      
-	control alt     keycode  88 = Console_12      
-keycode  89 =
-keycode  90 =
-keycode  91 =
-keycode  92 =
-keycode  93 =
-keycode  94 =
-keycode  95 =
-keycode  96 = KP_Enter        
-keycode  97 = Control         
-keycode  98 = KP_Divide       
+keycode  57 = space
+	shift   keycode  57 = bar
+	control	keycode  57 = nul
+	shiftl  control keycode  57 = grave
+	control shiftr  keycode  57 = grave
+keycode  67 = Control
+keycode  87 = Return
 keycode  99 = Control_backslash
 	control keycode  99 = Control_backslash
-	alt     keycode  99 = Control_backslash
 keycode 100 = AltGr           
-keycode 101 = Break           
-keycode 102 = Find            
 keycode 103 = Up              
-keycode 104 = Prior           
-	shift   keycode 104 = Scroll_Backward 
 keycode 105 = Left            
-	alt     keycode 105 = Decr_Console
 keycode 106 = Right           
-	alt     keycode 106 = Incr_Console
 keycode 107 = Select          
 keycode 108 = Down            
-keycode 109 = Next            
-	shift   keycode 109 = Scroll_Forward  
-keycode 110 = Insert          
-keycode 111 = Remove          
-#	altgr   control keycode 111 = Boot            
-	control alt     keycode 111 = Boot            
-keycode 112 = Macro           
-keycode 113 = F13             
-keycode 114 = F14             
-keycode 115 = Help            
-keycode 116 = Do              
-keycode 117 = F17             
-keycode 118 = KP_MinPlus      
-keycode 119 = Pause           
-keycode 120 =
-keycode 121 =
-keycode 122 =
-keycode 123 =
-keycode 124 =
-keycode 125 =
-keycode 126 =
-keycode 127 =
+keycode 116  = Escape          
 string F1 = "\033[[A"
 string F2 = "\033[[B"
 string F3 = "\033[[C"
Index: linux-2.6.26/drivers/char/Makefile
===================================================================
--- linux-2.6.26.orig/drivers/char/Makefile	2008-07-13 23:51:29.000000000 +0200
+++ linux-2.6.26/drivers/char/Makefile	2008-07-24 21:57:12.744280423 +0200
@@ -127,7 +127,7 @@
 # Uncomment if you're changing the keymap and have an appropriate
 # loadkeys version for the map. By default, we'll use the shipped
 # versions.
-# GENERATE_KEYMAP := 1
+ GENERATE_KEYMAP := 1
 
 ifdef GENERATE_KEYMAP
 
